Bug 210818 - www/kanboard: Update to 1.0.31
Summary: www/kanboard: Update to 1.0.31
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Jason Unovitch
URL:
Keywords: easy, patch
Depends on:
Blocks:
 
Reported: 2016-07-04 13:57 UTC by Bart Wrobel
Modified: 2016-07-09 12:47 UTC (History)
1 user (show)

See Also:


Attachments
patch to update from 1.0.29 to 1.0.31 (22.30 KB, patch)
2016-07-05 17:59 UTC, Bart Wrobel
bsd: maintainer-approval+
Details | Diff
results of testport, amd64, 10.3 (26.04 KB, text/plain)
2016-07-05 18:00 UTC, Bart Wrobel
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Bart Wrobel 2016-07-04 13:57:52 UTC
There is a new version of Kanboard. I will provide the patch within a few next days.


New features
------------

* Added tags: global and specific by project
* Added application and project roles validation for API procedure calls
* Added new API call: "getProjectByIdentifier"
* Added new API calls for external task links, project attachments and subtask time tracking

Improvements
------------

* Use PHP 7 for the Docker image
* Preserve role for existing users when using ReverseProxy authentication
* Handle priority for task and project duplication
* Expose task reference field to the user interface
* Improve ICal export
* Added argument owner_id and identifier to project API calls
* Rewrite integration tests to run with Docker containers
* Use the same task form layout everywhere
* Removed some tasks dropdown menus that are now available with task edit form
* Make embedded documentation readable in multiple languages (if a translation is available)
* Added acceptance tests (browser tests)

Bug fixes
---------

* Fixed broken CSV exports
* Fixed identical background color for LetterAvatar on 32bits platforms (Hash greater than PHP_MAX_INT)
* Fixed lexer issue with non word characters
* Flush memory cache in worker to get latest config values
* Fixed empty title for web notification with only one overdue task
* Take default swimlane into consideration for SwimlaneModel::getFirstActiveSwimlane()
* Fixed "due today" highlighting
Comment 1 Bart Wrobel 2016-07-05 17:59:56 UTC
Created attachment 172146 [details]
patch to update from 1.0.29 to 1.0.31
Comment 2 Bart Wrobel 2016-07-05 18:00:31 UTC
Created attachment 172147 [details]
results of testport, amd64, 10.3
Comment 3 commit-hook freebsd_committer 2016-07-07 23:20:36 UTC
A commit references this bug:

Author: junovitch
Date: Thu Jul  7 23:20:14 UTC 2016
New revision: 418205
URL: https://svnweb.freebsd.org/changeset/ports/418205

Log:
  www/kanboard: update 1.0.29 -> 1.0.31

  Changes:	https://kanboard.net/news/version-1.0.30
  		https://kanboard.net/news/version-1.0.31

  PR:		210818
  Submitted by:	Bart Wrobel <bsd@if0.eu> (maintainer)

Changes:
  head/www/kanboard/Makefile
  head/www/kanboard/distinfo
  head/www/kanboard/pkg-plist
Comment 4 Jason Unovitch freebsd_committer 2016-07-07 23:22:22 UTC
Can you do me a favor and audit the valid MASTER_SITES?

Note the primary has an issue with the redirect on FreeBSD 9's version of OpenSSL.  This will fail over to the distcache after we get a chance to cache it in the cluster but the other links all fail.

=> Attempting to fetch http://kanboard.net/kanboard-1.0.31.zip
99661:error:14077410:SSL routines:SSL23_GET_SERVER_HELLO:sslv3 alert handshake failure:/usr/src/secure/lib/libssl/../../../crypto/openssl/ssl/s23_clnt.c:579:
fetch: http://kanboard.net/kanboard-1.0.31.zip: Authentication error
=> Attempting to fetch https://bitbucket.org/if0/kanboard-archives/downloads/kanboard-1.0.31.zip
fetch: https://bitbucket.org/if0/kanboard-archives/downloads/kanboard-1.0.31.zip: Not Found
=> Attempting to fetch https://github.com/freebsd-kanboard/archives/blob/master/kanboard-1.0.31.zip
fetch: https://github.com/freebsd-kanboard/archives/blob/master/kanboard-1.0.31.zip: Not Found
=> Attempting to fetch http://distcache.FreeBSD.org/ports-distfiles/kanboard-1.0.31.zip
fetch: http://distcache.FreeBSD.org/ports-distfiles/kanboard-1.0.31.zip: Not Found
=> Couldn't fetch it - please try to retrieve this
Comment 5 Jason Unovitch freebsd_committer 2016-07-07 23:23:33 UTC
(In reply to Bart Wrobel from comment #1)
This patch was committed because it's the fetch issue is no better or worse than it is currently.  However I am holding this PR open until you can followup with the valid MASTER_SITES.

Thanks!
Comment 6 Bart Wrobel 2016-07-08 07:17:18 UTC
(In reply to Jason Unovitch from comment #5)
Uploaded. All 3 source sites work. Please confirm.
Thanks!

Bart
Comment 7 VK freebsd_triage 2016-07-09 00:29:02 UTC
Removing maintainer-feedback(+) because it was never requested. Thanks for your efforts. ;)
Comment 8 Jason Unovitch freebsd_committer 2016-07-09 01:21:49 UTC
(In reply to Bart Wrobel from comment #6)
The 1st fails because of FreeBSD 9.3's version of OpenSSL but that is out of your hands.

The 2nd works.

The 3rd fails since it gets an HTML page.  However, the raw URL works.

-               https://github.com/freebsd-kanboard/archives/blob/master/
+               https://github.com/freebsd-kanboard/archives/raw/master/

So while the first is out of our hands because of FreeBSD 9.3's OpenSSL not working with the upstream SSL config I can change the URL for the 3rd with your approval and close the PR.

Thanks for your efforts!
Comment 9 Bart Wrobel 2016-07-09 07:38:10 UTC
(In reply to Jason Unovitch from comment #8)

Hi Jason,
please go ahead and change what has to be changed. I will update code on my site too.

Thanks!
Bart
Comment 10 commit-hook freebsd_committer 2016-07-09 12:44:54 UTC
A commit references this bug:

Author: junovitch
Date: Sat Jul  9 12:43:55 UTC 2016
New revision: 418273
URL: https://svnweb.freebsd.org/changeset/ports/418273

Log:
  www/kanboard: fix URL on one of the MASTER_SITES

  PR:		210818
  Approved by:	Bart Wrobel <bsd@if0.eu> (maintainer)

Changes:
  head/www/kanboard/Makefile
Comment 11 Jason Unovitch freebsd_committer 2016-07-09 12:47:00 UTC
(In reply to Bart Wrobel from comment #9)
Done. Thanks! Everything that I saw that could be address has been addressed.